> For the complete documentation index, see [llms.txt](https://docs.editran.onesait.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.editran.onesait.com/documentacion-editran/connect-3.2/api/integration-of-apis/integration-api-for-channels-v1.md).

# Integration API For Channels (v1)

API for querying and managing channels in connect for third-party

## Upload file

> Upload a file to the corresponding channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.4"},"tags":[{"name":"Integration API for channels (v1)","description":"API for querying and managing channels in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v1/channels/upload":{"post":{"tags":["Integration API for channels (v1)"],"summary":"Upload file","description":"Upload a file to the corresponding channel","operationId":"upload","parameters":[{"name":"channel-code","in":"query","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"file","in":"query","description":"File to upload","schema":{"type":"MultipartFile"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"500":{"description":"Internal server error"}}}}}}
```

## Update channel

> Updates the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.4"},"tags":[{"name":"Integration API for channels (v1)","description":"API for querying and managing channels in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ChannelResponse":{"type":"object","properties":{"name":{"type":"string"},"application":{"type":"string"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]},"localEntity":{"type":"string"},"remoteEntity":{"type":"string"},"version":{"type":"string"},"editranff":{"type":"boolean"},"emissionff":{"type":"boolean"},"receptionff":{"type":"boolean"},"keyExchangeChannel":{"type":"boolean"},"allowSendDuplicateFiles":{"type":"boolean"},"validationHashFiles":{"type":"boolean"},"deactivateChannel":{"type":"boolean"},"category":{"type":"string"},"connection":{"$ref":"#/components/schemas/ChannelConnectionResponse"},"directories":{"type":"array","items":{"$ref":"#/components/schemas/ChannelDirectoryResponse"}},"integrations":{"$ref":"#/components/schemas/ChannelIntegrationResponse"},"security":{"$ref":"#/components/schemas/ChannelSecurityResponse"},"emission":{"$ref":"#/components/schemas/ChannelPlanningResponse"},"reception":{"$ref":"#/components/schemas/ChannelPlanningResponse"},"users":{"type":"array","items":{"type":"string"}}}},"ChannelConnectionResponse":{"type":"object","properties":{"ips":{"type":"array","items":{"type":"string"}},"proxyIps":{"type":"array","items":{"type":"string"}},"advancedConfigurationTransmission":{"$ref":"#/components/schemas/ChannelAdvancedConfigurationTransmissionResponse"},"advancedConfigurationConnection":{"$ref":"#/components/schemas/ChannelAdvancedConfigurationConnectionResponse"}}},"ChannelAdvancedConfigurationTransmissionResponse":{"type":"object","properties":{"registersBlock":{"type":"integer","format":"int32"},"crc":{"type":"boolean"},"stampLength":{"type":"integer","format":"int32"},"timeoutSync":{"type":"integer","format":"int32"},"timeoutAck":{"type":"integer","format":"int32"},"characters":{"type":"string","enum":["EBCDIC","ASCII"]},"compression":{"type":"string","enum":["NO","SI","LZW","VARIABLE"]},"downloadConf":{"type":"boolean"}}},"ChannelAdvancedConfigurationConnectionResponse":{"type":"object","properties":{"callingEnd":{"type":"string","enum":["INDISTINTO","LOCAL","REMOTO"]},"desconnection":{"type":"boolean"},"timeout":{"type":"integer","format":"int32"},"retries":{"type":"integer","format":"int32"},"rotations":{"type":"boolean"},"validateIp":{"type":"boolean"},"initialHour":{"type":"string"},"finishHour":{"type":"string"}}},"ChannelDirectoryResponse":{"type":"object","properties":{"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]},"filePath":{"type":"string"},"alphabet":{"type":"string","enum":["NINGUNO","EBCDIC","ASCII"]},"compression":{"type":"boolean"},"delimitator":{"type":"string","enum":["NINGUNO","DOS","UNIX"]},"fileFormat":{"type":"string","enum":["BINARIO","HIBRIDO","VARIABLE","FIJO"]},"registerLength":{"type":"integer","format":"int32"},"traduction":{"type":"string","enum":["NINGUNO","EBCDIC","ASCII"]},"translateStatus":{"type":"boolean"},"fileGroupsName":{"type":"string"}}},"ChannelIntegrationResponse":{"type":"object","properties":{"exceptionFile":{"type":"string"},"preEmisionFile":{"type":"string"},"preReceptionFile":{"type":"string"},"postReceptionFile":{"type":"string"},"postReceptionAction":{"type":"string","enum":["RECEPTION_NO","RECEPTION_MOVE","RECEPTION_EXECUTE"]},"postReceptionDirectory":{"type":"string"},"postReceptionRename":{"type":"boolean"},"postEmisionFile":{"type":"string"},"postEmisionDirectory":{"type":"string"},"postEmisionRename":{"type":"boolean"},"postEmisionAction":{"type":"string","enum":["EMISION_DELETE","EMISION_MOVE","EMISION_EXECUTE","EMISION_NO"]}}},"ChannelSecurityResponse":{"type":"object","properties":{"cryptography":{"type":"boolean"},"version":{"type":"string"},"ciphrate":{"type":"string","enum":["NO","TRANSMISION","FILE","ALL"]},"localKey":{"type":"string"},"remoteKey":{"type":"string"},"confidentiality":{"type":"string"},"authentication":{"type":"string"},"rsaLocalKey":{"type":"string"},"rsaRemoteKey":{"type":"string"},"rsaLocalKeyName":{"type":"string"},"rsaRemoteKeyName":{"type":"string"}}},"ChannelPlanningResponse":{"type":"object","properties":{"active":{"type":"boolean"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]}}}}},"paths":{"/integration/v1/channels/update":{"post":{"tags":["Integration API for channels (v1)"],"summary":"Update channel","description":"Updates the specified channel","operationId":"update","parameters":[{"name":"channel-code","in":"query","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"400":{"description":"bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"401":{"description":"unhautorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Update channel remote ips

> Updates the remote ips of the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.4"},"tags":[{"name":"Integration API for channels (v1)","description":"API for querying and managing channels in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ChannelResponse":{"type":"object","properties":{"name":{"type":"string"},"application":{"type":"string"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]},"localEntity":{"type":"string"},"remoteEntity":{"type":"string"},"version":{"type":"string"},"editranff":{"type":"boolean"},"emissionff":{"type":"boolean"},"receptionff":{"type":"boolean"},"keyExchangeChannel":{"type":"boolean"},"allowSendDuplicateFiles":{"type":"boolean"},"validationHashFiles":{"type":"boolean"},"deactivateChannel":{"type":"boolean"},"category":{"type":"string"},"connection":{"$ref":"#/components/schemas/ChannelConnectionResponse"},"directories":{"type":"array","items":{"$ref":"#/components/schemas/ChannelDirectoryResponse"}},"integrations":{"$ref":"#/components/schemas/ChannelIntegrationResponse"},"security":{"$ref":"#/components/schemas/ChannelSecurityResponse"},"emission":{"$ref":"#/components/schemas/ChannelPlanningResponse"},"reception":{"$ref":"#/components/schemas/ChannelPlanningResponse"},"users":{"type":"array","items":{"type":"string"}}}},"ChannelConnectionResponse":{"type":"object","properties":{"ips":{"type":"array","items":{"type":"string"}},"proxyIps":{"type":"array","items":{"type":"string"}},"advancedConfigurationTransmission":{"$ref":"#/components/schemas/ChannelAdvancedConfigurationTransmissionResponse"},"advancedConfigurationConnection":{"$ref":"#/components/schemas/ChannelAdvancedConfigurationConnectionResponse"}}},"ChannelAdvancedConfigurationTransmissionResponse":{"type":"object","properties":{"registersBlock":{"type":"integer","format":"int32"},"crc":{"type":"boolean"},"stampLength":{"type":"integer","format":"int32"},"timeoutSync":{"type":"integer","format":"int32"},"timeoutAck":{"type":"integer","format":"int32"},"characters":{"type":"string","enum":["EBCDIC","ASCII"]},"compression":{"type":"string","enum":["NO","SI","LZW","VARIABLE"]},"downloadConf":{"type":"boolean"}}},"ChannelAdvancedConfigurationConnectionResponse":{"type":"object","properties":{"callingEnd":{"type":"string","enum":["INDISTINTO","LOCAL","REMOTO"]},"desconnection":{"type":"boolean"},"timeout":{"type":"integer","format":"int32"},"retries":{"type":"integer","format":"int32"},"rotations":{"type":"boolean"},"validateIp":{"type":"boolean"},"initialHour":{"type":"string"},"finishHour":{"type":"string"}}},"ChannelDirectoryResponse":{"type":"object","properties":{"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]},"filePath":{"type":"string"},"alphabet":{"type":"string","enum":["NINGUNO","EBCDIC","ASCII"]},"compression":{"type":"boolean"},"delimitator":{"type":"string","enum":["NINGUNO","DOS","UNIX"]},"fileFormat":{"type":"string","enum":["BINARIO","HIBRIDO","VARIABLE","FIJO"]},"registerLength":{"type":"integer","format":"int32"},"traduction":{"type":"string","enum":["NINGUNO","EBCDIC","ASCII"]},"translateStatus":{"type":"boolean"},"fileGroupsName":{"type":"string"}}},"ChannelIntegrationResponse":{"type":"object","properties":{"exceptionFile":{"type":"string"},"preEmisionFile":{"type":"string"},"preReceptionFile":{"type":"string"},"postReceptionFile":{"type":"string"},"postReceptionAction":{"type":"string","enum":["RECEPTION_NO","RECEPTION_MOVE","RECEPTION_EXECUTE"]},"postReceptionDirectory":{"type":"string"},"postReceptionRename":{"type":"boolean"},"postEmisionFile":{"type":"string"},"postEmisionDirectory":{"type":"string"},"postEmisionRename":{"type":"boolean"},"postEmisionAction":{"type":"string","enum":["EMISION_DELETE","EMISION_MOVE","EMISION_EXECUTE","EMISION_NO"]}}},"ChannelSecurityResponse":{"type":"object","properties":{"cryptography":{"type":"boolean"},"version":{"type":"string"},"ciphrate":{"type":"string","enum":["NO","TRANSMISION","FILE","ALL"]},"localKey":{"type":"string"},"remoteKey":{"type":"string"},"confidentiality":{"type":"string"},"authentication":{"type":"string"},"rsaLocalKey":{"type":"string"},"rsaRemoteKey":{"type":"string"},"rsaLocalKeyName":{"type":"string"},"rsaRemoteKeyName":{"type":"string"}}},"ChannelPlanningResponse":{"type":"object","properties":{"active":{"type":"boolean"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]}}}}},"paths":{"/integration/v1/channels/update/ips":{"post":{"tags":["Integration API for channels (v1)"],"summary":"Update channel remote ips","description":"Updates the remote ips of the specified channel","operationId":"updateIps","parameters":[{"name":"channel-code","in":"query","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"400":{"description":"bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"401":{"description":"unhautorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Update channel directories

> Updates the directories of the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.4"},"tags":[{"name":"Integration API for channels (v1)","description":"API for querying and managing channels in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ChannelDirectoryResponse":{"type":"object","properties":{"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]},"filePath":{"type":"string"},"alphabet":{"type":"string","enum":["NINGUNO","EBCDIC","ASCII"]},"compression":{"type":"boolean"},"delimitator":{"type":"string","enum":["NINGUNO","DOS","UNIX"]},"fileFormat":{"type":"string","enum":["BINARIO","HIBRIDO","VARIABLE","FIJO"]},"registerLength":{"type":"integer","format":"int32"},"traduction":{"type":"string","enum":["NINGUNO","EBCDIC","ASCII"]},"translateStatus":{"type":"boolean"},"fileGroupsName":{"type":"string"}}},"ChannelResponse":{"type":"object","properties":{"name":{"type":"string"},"application":{"type":"string"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]},"localEntity":{"type":"string"},"remoteEntity":{"type":"string"},"version":{"type":"string"},"editranff":{"type":"boolean"},"emissionff":{"type":"boolean"},"receptionff":{"type":"boolean"},"keyExchangeChannel":{"type":"boolean"},"allowSendDuplicateFiles":{"type":"boolean"},"validationHashFiles":{"type":"boolean"},"deactivateChannel":{"type":"boolean"},"category":{"type":"string"},"connection":{"$ref":"#/components/schemas/ChannelConnectionResponse"},"directories":{"type":"array","items":{"$ref":"#/components/schemas/ChannelDirectoryResponse"}},"integrations":{"$ref":"#/components/schemas/ChannelIntegrationResponse"},"security":{"$ref":"#/components/schemas/ChannelSecurityResponse"},"emission":{"$ref":"#/components/schemas/ChannelPlanningResponse"},"reception":{"$ref":"#/components/schemas/ChannelPlanningResponse"},"users":{"type":"array","items":{"type":"string"}}}},"ChannelConnectionResponse":{"type":"object","properties":{"ips":{"type":"array","items":{"type":"string"}},"proxyIps":{"type":"array","items":{"type":"string"}},"advancedConfigurationTransmission":{"$ref":"#/components/schemas/ChannelAdvancedConfigurationTransmissionResponse"},"advancedConfigurationConnection":{"$ref":"#/components/schemas/ChannelAdvancedConfigurationConnectionResponse"}}},"ChannelAdvancedConfigurationTransmissionResponse":{"type":"object","properties":{"registersBlock":{"type":"integer","format":"int32"},"crc":{"type":"boolean"},"stampLength":{"type":"integer","format":"int32"},"timeoutSync":{"type":"integer","format":"int32"},"timeoutAck":{"type":"integer","format":"int32"},"characters":{"type":"string","enum":["EBCDIC","ASCII"]},"compression":{"type":"string","enum":["NO","SI","LZW","VARIABLE"]},"downloadConf":{"type":"boolean"}}},"ChannelAdvancedConfigurationConnectionResponse":{"type":"object","properties":{"callingEnd":{"type":"string","enum":["INDISTINTO","LOCAL","REMOTO"]},"desconnection":{"type":"boolean"},"timeout":{"type":"integer","format":"int32"},"retries":{"type":"integer","format":"int32"},"rotations":{"type":"boolean"},"validateIp":{"type":"boolean"},"initialHour":{"type":"string"},"finishHour":{"type":"string"}}},"ChannelIntegrationResponse":{"type":"object","properties":{"exceptionFile":{"type":"string"},"preEmisionFile":{"type":"string"},"preReceptionFile":{"type":"string"},"postReceptionFile":{"type":"string"},"postReceptionAction":{"type":"string","enum":["RECEPTION_NO","RECEPTION_MOVE","RECEPTION_EXECUTE"]},"postReceptionDirectory":{"type":"string"},"postReceptionRename":{"type":"boolean"},"postEmisionFile":{"type":"string"},"postEmisionDirectory":{"type":"string"},"postEmisionRename":{"type":"boolean"},"postEmisionAction":{"type":"string","enum":["EMISION_DELETE","EMISION_MOVE","EMISION_EXECUTE","EMISION_NO"]}}},"ChannelSecurityResponse":{"type":"object","properties":{"cryptography":{"type":"boolean"},"version":{"type":"string"},"ciphrate":{"type":"string","enum":["NO","TRANSMISION","FILE","ALL"]},"localKey":{"type":"string"},"remoteKey":{"type":"string"},"confidentiality":{"type":"string"},"authentication":{"type":"string"},"rsaLocalKey":{"type":"string"},"rsaRemoteKey":{"type":"string"},"rsaLocalKeyName":{"type":"string"},"rsaRemoteKeyName":{"type":"string"}}},"ChannelPlanningResponse":{"type":"object","properties":{"active":{"type":"boolean"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]}}}}},"paths":{"/integration/v1/channels/update/directories":{"post":{"tags":["Integration API for channels (v1)"],"summary":"Update channel directories","description":"Updates the directories of the specified channel","operationId":"updateDirectories","parameters":[{"name":"channel-code","in":"query","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChannelDirectoryResponse"}}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"400":{"description":"bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"401":{"description":"unhautorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Get list of channels

> Get list of channels

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.4"},"tags":[{"name":"Integration API for channels (v1)","description":"API for querying and managing channels in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PageChannelResponse":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"sort":{"$ref":"#/components/schemas/SortObject"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/ChannelResponse"}},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"paged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"offset":{"type":"integer","format":"int64"},"unpaged":{"type":"boolean"}}},"SortObject":{"type":"object","properties":{"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"},"empty":{"type":"boolean"}}},"ChannelResponse":{"type":"object","properties":{"name":{"type":"string"},"application":{"type":"string"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]},"localEntity":{"type":"string"},"remoteEntity":{"type":"string"},"version":{"type":"string"},"editranff":{"type":"boolean"},"emissionff":{"type":"boolean"},"receptionff":{"type":"boolean"},"keyExchangeChannel":{"type":"boolean"},"allowSendDuplicateFiles":{"type":"boolean"},"validationHashFiles":{"type":"boolean"},"deactivateChannel":{"type":"boolean"},"category":{"type":"string"},"connection":{"$ref":"#/components/schemas/ChannelConnectionResponse"},"directories":{"type":"array","items":{"$ref":"#/components/schemas/ChannelDirectoryResponse"}},"integrations":{"$ref":"#/components/schemas/ChannelIntegrationResponse"},"security":{"$ref":"#/components/schemas/ChannelSecurityResponse"},"emission":{"$ref":"#/components/schemas/ChannelPlanningResponse"},"reception":{"$ref":"#/components/schemas/ChannelPlanningResponse"},"users":{"type":"array","items":{"type":"string"}}}},"ChannelConnectionResponse":{"type":"object","properties":{"ips":{"type":"array","items":{"type":"string"}},"proxyIps":{"type":"array","items":{"type":"string"}},"advancedConfigurationTransmission":{"$ref":"#/components/schemas/ChannelAdvancedConfigurationTransmissionResponse"},"advancedConfigurationConnection":{"$ref":"#/components/schemas/ChannelAdvancedConfigurationConnectionResponse"}}},"ChannelAdvancedConfigurationTransmissionResponse":{"type":"object","properties":{"registersBlock":{"type":"integer","format":"int32"},"crc":{"type":"boolean"},"stampLength":{"type":"integer","format":"int32"},"timeoutSync":{"type":"integer","format":"int32"},"timeoutAck":{"type":"integer","format":"int32"},"characters":{"type":"string","enum":["EBCDIC","ASCII"]},"compression":{"type":"string","enum":["NO","SI","LZW","VARIABLE"]},"downloadConf":{"type":"boolean"}}},"ChannelAdvancedConfigurationConnectionResponse":{"type":"object","properties":{"callingEnd":{"type":"string","enum":["INDISTINTO","LOCAL","REMOTO"]},"desconnection":{"type":"boolean"},"timeout":{"type":"integer","format":"int32"},"retries":{"type":"integer","format":"int32"},"rotations":{"type":"boolean"},"validateIp":{"type":"boolean"},"initialHour":{"type":"string"},"finishHour":{"type":"string"}}},"ChannelDirectoryResponse":{"type":"object","properties":{"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]},"filePath":{"type":"string"},"alphabet":{"type":"string","enum":["NINGUNO","EBCDIC","ASCII"]},"compression":{"type":"boolean"},"delimitator":{"type":"string","enum":["NINGUNO","DOS","UNIX"]},"fileFormat":{"type":"string","enum":["BINARIO","HIBRIDO","VARIABLE","FIJO"]},"registerLength":{"type":"integer","format":"int32"},"traduction":{"type":"string","enum":["NINGUNO","EBCDIC","ASCII"]},"translateStatus":{"type":"boolean"},"fileGroupsName":{"type":"string"}}},"ChannelIntegrationResponse":{"type":"object","properties":{"exceptionFile":{"type":"string"},"preEmisionFile":{"type":"string"},"preReceptionFile":{"type":"string"},"postReceptionFile":{"type":"string"},"postReceptionAction":{"type":"string","enum":["RECEPTION_NO","RECEPTION_MOVE","RECEPTION_EXECUTE"]},"postReceptionDirectory":{"type":"string"},"postReceptionRename":{"type":"boolean"},"postEmisionFile":{"type":"string"},"postEmisionDirectory":{"type":"string"},"postEmisionRename":{"type":"boolean"},"postEmisionAction":{"type":"string","enum":["EMISION_DELETE","EMISION_MOVE","EMISION_EXECUTE","EMISION_NO"]}}},"ChannelSecurityResponse":{"type":"object","properties":{"cryptography":{"type":"boolean"},"version":{"type":"string"},"ciphrate":{"type":"string","enum":["NO","TRANSMISION","FILE","ALL"]},"localKey":{"type":"string"},"remoteKey":{"type":"string"},"confidentiality":{"type":"string"},"authentication":{"type":"string"},"rsaLocalKey":{"type":"string"},"rsaRemoteKey":{"type":"string"},"rsaLocalKeyName":{"type":"string"},"rsaRemoteKeyName":{"type":"string"}}},"ChannelPlanningResponse":{"type":"object","properties":{"active":{"type":"boolean"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]}}}}},"paths":{"/integration/v1/channels":{"get":{"tags":["Integration API for channels (v1)"],"summary":"Get list of channels","description":"Get list of channels","operationId":"getChannels","parameters":[{"name":"contact-id","in":"query","description":"Filter by contact identifier","required":false,"schema":{"type":"string"}},{"name":"channel-id","in":"query","description":"Filter by channel identifier","required":false,"schema":{"type":"string"}},{"name":"channel-code","in":"query","description":"Filter by channel code (local code - remote code - application","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Page number for pagination","required":true,"schema":{"type":"integer","default":1,"minimum":1}},{"name":"size","in":"query","description":"Page size for pagination","required":true,"schema":{"type":"integer","default":1,"minimum":1}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelResponse"}}}},"401":{"description":"unhautorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelResponse"}}}},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelResponse"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Get status channel

> Get the status of the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.4"},"tags":[{"name":"Integration API for channels (v1)","description":"API for querying and managing channels in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ChannelStatusResponse":{"type":"object","properties":{"channel-id":{"type":"string"},"channel-code":{"type":"string"},"channel-direction":{"type":"string"},"channel-status":{"type":"string"}}}}},"paths":{"/integration/v1/channels/status":{"get":{"tags":["Integration API for channels (v1)"],"summary":"Get status channel","description":"Get the status of the specified channel","operationId":"getStatus","parameters":[{"name":"channel-code","in":"query","description":"Filter by channel code (local code - remote code - application","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChannelStatusResponse"}}}}},"400":{"description":"bad request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChannelStatusResponse"}}}}},"401":{"description":"unhautorized","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChannelStatusResponse"}}}}},"403":{"description":"forbidden","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChannelStatusResponse"}}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChannelStatusResponse"}}}}},"500":{"description":"Internal server error"}}}}}}
```

## Get all events history channel

> Get all events history of the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.4"},"tags":[{"name":"Integration API for channels (v1)","description":"API for querying and managing channels in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PageChannelHistoryResponse":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"sort":{"$ref":"#/components/schemas/SortObject"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/ChannelHistoryResponse"}},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"paged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"offset":{"type":"integer","format":"int64"},"unpaged":{"type":"boolean"}}},"SortObject":{"type":"object","properties":{"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"},"empty":{"type":"boolean"}}},"ChannelHistoryResponse":{"type":"object","properties":{"channel-id":{"type":"string"},"channel-code":{"type":"string"},"datetime":{"type":"string","format":"date-time"},"event":{"type":"string"}}}}},"paths":{"/integration/v1/channels/history":{"get":{"tags":["Integration API for channels (v1)"],"summary":"Get all events history channel","description":"Get all events history of the specified channel","operationId":"getHistory","parameters":[{"name":"channel-code","in":"query","description":"Filter by channel code (local code - remote code - application","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Page number for pagination","required":false,"schema":{"type":"integer","default":1,"minimum":1}},{"name":"size","in":"query","description":"Page size for pagination","required":false,"schema":{"type":"integer","default":1,"minimum":1}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelHistoryResponse"}}}},"400":{"description":"bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelHistoryResponse"}}}},"401":{"description":"unhautorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelHistoryResponse"}}}},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelHistoryResponse"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelHistoryResponse"}}}},"500":{"description":"Internal server error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.editran.onesait.com/documentacion-editran/connect-3.2/api/integration-of-apis/integration-api-for-channels-v1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
